package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.ModuleInfoDTO;
import com.diagbot.entity.ModuleInfo;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.ModuleDetailServiceImpl;
import com.diagbot.util.BeanUtil;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 模型明细务层
 * @author: zhoutg
 * @time: 2018/8/6 9:11
 */
@Component
public class ModuleDetailFacade extends ModuleDetailServiceImpl {


    /**
     * 返回所有的模型结构
     *
     * @return 模型结构
     */
    public List<ModuleInfoDTO> getAll() {
        List<ModuleInfoDTO> data = new ArrayList<>();
        QueryWrapper queryWrapper = new QueryWrapper();
        queryWrapper.eq("is_deleted", IsDeleteEnum.N.getKey());
        List<ModuleInfo> list =  this.list(queryWrapper);
        data = BeanUtil.listCopyTo(list, ModuleInfoDTO.class);
        for(ModuleInfoDTO bean : data) {
            QueryWrapper wrapper = new QueryWrapper();
            wrapper.eq("is_deleted", IsDeleteEnum.N.getKey());
            wrapper.eq("module_id", bean.getId());
            wrapper.orderByAsc("order_no");
        }
        return data;
    }

}
