package com.diagbot.web;


import javax.validation.Valid;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.PrintRecordFacade;
import com.diagbot.vo.PrintRecordsVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 
 * @author wangfeng
 * @Description: 打印记录表 前端控制器
 * @date 2018年11月19日 上午10:03:12
 */
@RestController
@RequestMapping("/printRecord")
@Api(value = "打印记录API[by:wangfeng]", tags = { "打印记录API" })
@SuppressWarnings("unchecked")
public class PrintRecordController {
	
	@Autowired
	PrintRecordFacade printRecordFacade;
	
	@ApiOperation(value = "保存打印记录",notes = "保存打印记录")
    @PostMapping("/savePrintRecords")
	@SysLogger("savePrintRecords")
	@Transactional
    public RespDTO<Boolean> savePrintRecords(@Valid @RequestBody PrintRecordsVO printRecordsVO) {

        boolean res = printRecordFacade.savePrintRecord(printRecordsVO);
        
        return RespDTO.onSuc(res);
    }
	

}
